* [gentoo-commits] repo/gentoo:master commit in: app-emacs/fedi/
@ 2024-10-22 0:08 Maciej Barć
0 siblings, 0 replies; 2+ messages in thread
From: Maciej Barć @ 2024-10-22 0:08 UTC (permalink / raw
To: gentoo-commits
commit: 79aa9ec627783fe061602fd398cef374fc08288b
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 21 21:06:23 2024 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Oct 22 00:08:44 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79aa9ec6
app-emacs/fedi: new package; add 0.2
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/fedi/Manifest | 1 +
app-emacs/fedi/fedi-0.2.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
app-emacs/fedi/metadata.xml | 14 ++++++++++++++
3 files changed, 55 insertions(+)
diff --git a/app-emacs/fedi/Manifest b/app-emacs/fedi/Manifest
new file mode 100644
index 000000000000..b8995145751f
--- /dev/null
+++ b/app-emacs/fedi/Manifest
@@ -0,0 +1 @@
+DIST fedi-0.2.tar.gz 23341 BLAKE2B 588fefb92404d9c654c9c6a62a4404ec6ba624bbb16e64532a863d460feb7cea3aeb924f86f04d543dcb842dff7c54858628cda2170d228be5fb7590f55c77ee SHA512 e6f9a27ef9beb45df7e3fbb8dba54965135e378c37fbcdaea95e6ce8c46cb0f7b5219220c245d5cf40636e8219932a5b6bd86251ee655674d8e453d249376218
diff --git a/app-emacs/fedi/fedi-0.2.ebuild b/app-emacs/fedi/fedi-0.2.ebuild
new file mode 100644
index 000000000000..2a89507c0b2c
--- /dev/null
+++ b/app-emacs/fedi/fedi-0.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS="28.1"
+
+inherit elisp
+
+DESCRIPTION="Helper functions for Fediverse or other REST API clients for GNU Emacs"
+HOMEPAGE="https://codeberg.org/martianh/fedi.el/"
+
+if [[ "${PV}" == *9999* ]] ; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://codeberg.org/martianh/${PN}.el.git"
+else
+ SRC_URI="https://codeberg.org/martianh/${PN}.el/archive/${PV}.tar.gz
+ -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}.el"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+ app-emacs/markdown-mode
+ || (
+ >=app-editors/emacs-31.0
+ >=app-editors/emacs-${NEED_EMACS}[json]
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+"
+
+DOCS=( readme.org )
+SITEFILE="50${PN}-gentoo.el"
diff --git a/app-emacs/fedi/metadata.xml b/app-emacs/fedi/metadata.xml
new file mode 100644
index 000000000000..953a3e572ba3
--- /dev/null
+++ b/app-emacs/fedi/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="project">
+ <email>gnu-emacs@gentoo.org</email>
+ <name>Gentoo GNU Emacs project</name>
+ </maintainer>
+ <upstream>
+ <changelog>https://codeberg.org/martianh/fedi.el/releases/</changelog>
+ <bugs-to>https://codeberg.org/martianh/fedi.el/issues/</bugs-to>
+ <remote-id type="codeberg">martianh/fedi.el</remote-id>
+ </upstream>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/fedi/
@ 2024-11-16 17:40 Ulrich Müller
0 siblings, 0 replies; 2+ messages in thread
From: Ulrich Müller @ 2024-11-16 17:40 UTC (permalink / raw
To: gentoo-commits
commit: 9f10db6a9274fd0734fa759f8dbe8d522e55701d
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 16 17:38:04 2024 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Nov 16 17:39:53 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f10db6a
app-emacs/fedi: Fix use-dependency on json flag
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
app-emacs/fedi/fedi-0.2.ebuild | 5 +----
1 file changed, 1 insertion(+), 4 deletions(-)
diff --git a/app-emacs/fedi/fedi-0.2.ebuild b/app-emacs/fedi/fedi-0.2.ebuild
index 2a89507c0b2c..951366b0f50c 100644
--- a/app-emacs/fedi/fedi-0.2.ebuild
+++ b/app-emacs/fedi/fedi-0.2.ebuild
@@ -26,11 +26,8 @@ LICENSE="GPL-3+"
SLOT="0"
RDEPEND="
+ >=app-editors/emacs-${NEED_EMACS}[json(+)]
app-emacs/markdown-mode
- || (
- >=app-editors/emacs-31.0
- >=app-editors/emacs-${NEED_EMACS}[json]
- )
"
BDEPEND="
${RDEPEND}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2024-11-16 17:40 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-11-16 17:40 [gentoo-commits] repo/gentoo:master commit in: app-emacs/fedi/ Ulrich Müller
-- strict thread matches above, loose matches on Subject: below --
2024-10-22 0:08 Maciej Barć
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox